Intrusion Prevention

Nostromo.nhttpd.http_header_comp.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Buffer Overflow Vulnerability in Nostromo nhttpd.
The vulnerability is due to an improper boundary check condition in the application. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application.

Affected Products

Nostromo nhttpd prior to 1.9.7

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://www.nazgul.ch/dev/nostromo_cl.txt

CVE References

CVE-2019-16279